<article class="item p-1" data-source="<?= $item->filename ?>" onclick="yc_clicItem(this)" data-id="<?= isset($num) ? sprintf("%'.06d", $num) : 100000 ?>" data-date="<?= $item->get('date_creation',date('Y-m-d')) ?>">
    <div class="item-header"> 
        <img src="app/images/defaut.jpg" data-source="<?php
    $im=new thumbnail_tool(CHEMIN,CACHE_VIGNETTES,APP."images/");
         $im->set_source(IMPORTS.$item->getFile('illustration'));
         echo $im->vignette(VIGNETTE_W,VIGNETTE_H,false);

                                                      ?>" class="item-illu img-object-fit aspectratio-1">

    </div>
    <div class="item-infos">
        <h2 data-contenu='titre' class="fs-small"><?= $item->get('titre') ?></h2>
        <?php
    $liste=$item->getFilledValues();
            unset($liste['illustration']);
            unset($liste['titre']);
            foreach($liste as $cle=>$valeur){
                if($item->getParam($cle,"mosaic_display",false)){
                    echo "<div class=\"item-info item-$cle fs-small\" data-contenu='$cle'>".$item->getPropre($cle)."</div>\n";
                }
            }
        ?>
    </div>
</article> 